Name:             geronimo-osgi-registry
Version:          1.0
Release:          1%{?dist}
Summary:          OSGI factory registry
Group:            Development/Libraries
License:          ASL 2.0
URL:              http://geronimo.apache.org/

# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-osgi-support-1.0/geronimo-osgi-registry/
# tar czf geronimo-osgi-registry-1.0.tar.gz geronimo-osgi-registry/
Source0:          %{name}-%{version}.tar.gz
Source1:          %{name}.depmap
Patch1:           use_parent_pom.patch
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:        noarch

BuildRequires:    java-devel >= 1:1.6.0
BuildRequires:    jpackage-utils
BuildRequires:    maven2 >= 2.2.1
BuildRequires:    felix-osgi-core
BuildRequires:    felix-osgi-compendium
BuildRequires:    geronimo-parent-poms
BuildRequires:    maven-resources-plugin

Requires:         java >= 1:1.6.0
Requires:         jpackage-utils
Requires:         felix-osgi-core
Requires:         felix-osgi-compendium
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils

%description
This bundle contains an extender that facilitates the use
of Geronimo spec providers (components typically plugged in to the
JRE through META-INF/services resources).  The service created by this
extender will maintain a registry of factory class implementations that
can be used by the spec bundles to locate factory classes that reside in
other bundles.
    

%package javadoc
Group:            Documentation
Summary:          Javadoc for %{name}
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{name}
%patch1 -p0

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mvn-jpp \
        -e \
        -Dmaven2.jpp.mode=true \
        -Dmaven2.jpp.depmap.file="%{SOURCE1}" \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        install javadoc:javadoc

%install
rm -rf %{buildroot}

# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# poms
install -d -m 0755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap org.apache.geronimo.specs %{name} %{version} JPP %{name}

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}-%{version}/
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Thu Jul 22 2010 Chris Spike <chris.spike@arcor.de> 1.0-1
- Initial version of the package
